// packageE/ConsumePacket/ConsumePacketSuccess/ConsumePacketSuccess.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    money: "",
    order_id: "",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      order_id: options.order_id,
    });
    this.getConsumePacket();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},

  toPacketList() {
    wx.redirectTo({
      url: "/packageE/ConsumePacket/index/index",
    });
  },
  getConsumePacket() {
    let that = this;
    let json = {
      order_id: this.data.order_id.split(","),
    };
    let urlStr = app.getNetAddresss(
      "plugin.consume-red-packet.Frontend.Modules.Packet.Controllers.receive.index"
    );
    app._postNetWork({
      url: urlStr,
      data: json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            money: res.data.packet_amount,
          });
        } else {
          wx.showToast({
            icon: "none",
            title: res.msg,
            duration: 1500,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
});
